## net.i2p.router.networkdb.kademlia
Class FloodOnlySearchJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.FloodSearchJob
              net.i2p.router.networkdb.kademlia.FloodOnlySearchJob

All Implemented Interfaces:
  Job

     class FloodOnlySearchJob

extends FloodSearchJob

Try sending a search to some floodfill peers, failing completely if we don't get a match from one of those peers, with no fallback to the kademlia search

Constructor Summary
`FloodOnlySearchJob(RouterContext ctx, FloodfillNetworkDatabaseFacade facade, Hash key, Job onFind, Job onFailed, int timeoutMs, boolean isLease)`

Method Summary
`(package private) void` `addDeferred(Job onFind, Job onFailed, long timeoutMs, boolean isLease)`
`(package private) void` `decrementRemaining()`
`(package private) void` `failed()`
`long` `getExpiration()`
`(package private) Hash` `getKey()`
`(package private) int` `getLookupsRemaining()`
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.
`(package private) void` `success()`

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloodOnlySearchJob

    public FloodOnlySearchJob(RouterContext ctx,
                              FloodfillNetworkDatabaseFacade facade,
                              Hash key,
                              Job onFind,
                              Job onFailed,
                              int timeoutMs,
                              boolean isLease)

Method Detail

### addDeferred

    void addDeferred(Job onFind,
                     Job onFailed,
                     long timeoutMs,
                     boolean isLease)

  Overrides:
    `addDeferred` in class `FloodSearchJob`

### getExpiration

    public long getExpiration()

  Overrides:
    `getExpiration` in class `FloodSearchJob`

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

  Specified by:
    `runJob` in interface `Job`
  Overrides:
    `runJob` in class `FloodSearchJob`

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

  Specified by:
    `getName` in interface `Job`
  Overrides:
    `getName` in class `FloodSearchJob`

### getKey

    Hash getKey()

  Overrides:
    `getKey` in class `FloodSearchJob`

### decrementRemaining

    void decrementRemaining()

  Overrides:
    `decrementRemaining` in class `FloodSearchJob`

### getLookupsRemaining

    int getLookupsRemaining()

  Overrides:
    `getLookupsRemaining` in class `FloodSearchJob`

### failed

    void failed()

  Overrides:
    `failed` in class `FloodSearchJob`

### success

    void success()

  Overrides:
    `success` in class `FloodSearchJob`